export default [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  {
    path: '/',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        path: '/',
        component: '../layouts/BasicLayout',
        authority: ['admin', 'user'],
        routes: [
          {
            path: '/',
            redirect: '/member',
          },
          {
            path: '/member',
            name: '账户管理',
            component: './UserManage',
          },
          {
            path: '/member/new',
            name: '账户新增',
            component: './UserManage/Editor',
          },
          {
            path: '/member/edit/:id',
            name: '账户编辑',
            component: './UserManage/Editor',
          },
          {
            component: './404',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
];
